Bug 1486534 - RFE: Ship / Enable ceph-mgr
Summary: RFE: Ship / Enable ceph-mgr
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 3.0
Assignee: leseb
QA Contact: Shreekar
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-08-30 04:06 UTC by Christina Meno
Modified: 2017-12-05 23:41 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-ansible-3.0.0-0.1.rc4.el7cp Ubuntu: ceph-ansible_3.0.0~rc4-2redhat1
Doc Type: Enhancement
Doc Text:
.Support for Ceph Manager Ceph Manager (`ceph-mgr`) is a new daemon that takes over some of the Monitor's workload and introduces an interface for optional Python modules. Administrators must deploy at least two `ceph-mgr` daemons, or more typically, one `ceph-mgr` daemon on each node where they run a `ceph-mon` daemon. For details, see the link:https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html-single/installation_guide_for_red_hat_enterprise_linux/[Installation Guide for Red Hat Enterprise Linux] or link:https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html-single/installation_guide_for_ubuntu/[Ubuntu].
Clone Of:
Environment:
Last Closed: 2017-12-05 23:41:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 1377 None None None 2017-08-30 14:30:09 UTC
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description Christina Meno 2017-08-30 04:06:33 UTC
Description of problem:

Upstream Ceph Luminous introduced A low-level, Ceph-native control plane. called ceph-mgr allowed to be configured as part of the downstream product to be collocated with the ceph-mon services

Comment 2 seb 2017-08-30 07:41:19 UTC
This is already available, do you need the commit that introduced the support?

Comment 4 Christina Meno 2017-08-30 22:49:05 UTC
This BZ allows QE to communicate weather this feature works as expected.

The expectation per trello is for the user to be able to configure ceph-mgr services on nodes, seems like the expectation for packaged ceph is to collocate with the ceph-mon service. For containers it should be able to be collocated with MON or OSD.

For nodes that take the role ceph-mgr the necessary service should be enabled and started.

The upstream docs require some additional config which should happen as part of this. http://docs.ceph.com/docs/master/mgr/administrator/

e.g. create an auth key


Note that the Downstream test plan will check that new clusters get ceph-mgr as well as upgraded clusters and they intent to test the HA capabilities of this service so the docs/default configs should recommend applying this role to more than one node

Comment 8 John Spray 2017-10-20 11:06:35 UTC
Looks good! (edited s/Manger/Manager/)

Comment 12 errata-xmlrpc 2017-12-05 23:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.